Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans.generator
Class GeneratorTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.codehaus.xfire.xmlbeans.generator.GeneratorTask

    public class GeneratorTask

extends org.apache.tools.ant.Task

An ant task which takes a WSDL and generates the SOAP client stubs.

Since:
  Oct 25, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`GeneratorTask()`

Method Summary
`void` | `execute()`
`java.lang.String` | `getName()`
`java.io.File` | `getOutputDir()`
`java.lang.String` | `getPackage()`
`GenerationStrategy` | `getStrategy()`
`java.lang.String` | `getWsdl()`
`boolean` | `isOverwrite()`
`void` | `setName(java.lang.String name)`
`void` | `setOutputDir(java.io.File outputDir)`
`void` | `setOverwrite(boolean overwrite)`
`void` | `setPackage(java.lang.String packageName)`
`void` | `setStrategy(java.lang.String strategy)`
`void` | `setWsdl(java.lang.String wsdl)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorTask

    public GeneratorTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### getStrategy

    public GenerationStrategy getStrategy()
                                   throws java.lang.InstantiationException,
                                          java.lang.IllegalAccessException,
                                          java.lang.ClassNotFoundException

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.ClassNotFoundException`

### getWsdl

    public java.lang.String getWsdl()

### setWsdl

    public void setWsdl(java.lang.String wsdl)

### getOutputDir

    public java.io.File getOutputDir()

### setOutputDir

    public void setOutputDir(java.io.File outputDir)

### isOverwrite

    public boolean isOverwrite()

### setOverwrite

    public void setOverwrite(boolean overwrite)

### getPackage

    public java.lang.String getPackage()

### setPackage

    public void setPackage(java.lang.String packageName)

### setStrategy

    public void setStrategy(java.lang.String strategy)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.